using Hcs.Broker.Api;
using Hcs.Broker.Api.Payload.Payments;

namespace Hcs.Broker.Mock.Api
{
    /// <inheritdoc cref="IPaymentsApi"/>
    public class MockPaymentsApi : IPaymentsApi
    {
        /// <inheritdoc cref="IPaymentsApi"/>
        public async Task<bool> ImportNotificationsOfOrderExecutionAsync(ImportNotificationsOfOrderExecutionPayload payload, CancellationToken token = default)
        {
            await Task.Delay(3000, token);

            return true;
        }

        /// <inheritdoc cref="IPaymentsApi"/>
        public async Task<bool> ImportSupplierNotificationsOfOrderExecutionAsync(ImportSupplierNotificationsOfOrderExecutionPayload payload, CancellationToken token = default)
        {
            await Task.Delay(3000, token);

            return true;
        }
    }
}
